<script lang="ts">
  export let startingPx = 200;

  let hidden = true;

  const scrollToTop = () => {
    document.body.scrollIntoView();
  };

  const scrollElement = () => {
    return document.documentElement || document.body;
  };

  const onScrollHandler = () => {
    hidden = scrollElement().scrollTop <= startingPx;
  };
</script>

<svelte:window on:scroll={onScrollHandler} />

<button
  data-umami-event="Scroll to top"
  class={`fixed z-50 bottom-5 right-5 bg-cyber-blue-500 hover:bg-cyber-blue-600 text-cyber-gray-100 rounded-lg ${
    hidden ? 'opacity-0 hidden' : 'opacity-100'
  }`}
  on:click={scrollToTop}
  ><svg
    xmlns="http://www.w3.org/2000/svg"
    class="h-10 w-10"
    fill="none"
    viewBox="0 0 24 24"
    stroke="currentColor"
    stroke-width="2">
    <path stroke-linecap="round" stroke-linejoin="round" d="M5 15l7-7 7 7" />
  </svg></button>
